petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDualSpaceLagrangeSetTensor

Set the tensor nature of the dual space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceLagrangeSetTensor(PetscDualSpace sp, PetscBool tensor)

Not collective

### Input Parameters

| sp | - The PetscDualSpace
| tensor | - Whether the dual space has tensor layout (vs. simplicial)

### See Also

PetscDualSpaceLagrangeGetTensor(), PetscDualSpaceCreate()

### Level

intermediate

### Location

src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c

### Implementations

PetscDualSpaceLagrangeSetTensor_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages